package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECConstants;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$12 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFC2F");
      BigInteger var1 = ECConstants.ZERO;
      BigInteger var2 = BigInteger.valueOf(7L);
      BigInteger var3 = SECNamedCurves.access$0("FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEBAAEDCE6AF48A03BBFD25E8CD0364141");
      BigInteger var4 = BigInteger.valueOf(1L);
      ECCurve.Fp var5;
      ECCurve.Fp var10000 = var5 = new ECCurve.Fp;
      var10000.<init>(var6, var1, var2);
      ECPoint var7 = var10000.decodePoint(Hex.decode("0479BE667EF9DCBBAC55A06295CE870B07029BFCDB2DCE28D959F2815B16F81798483ADA7726A3C4655DA4FBFC0E1108A8FD17B448A68554199C47D08FFB10D4B8"));
      return new X9ECParameters(var5, var7, var3, var4, (byte[])null);
   }
}
